
Messages = function()
{
	this.breakLine = "<br>";
	this.messagesArr = new Array();
};

Messages.prototype.Add = function(key, message)
{
	if (!this.messagesArr[key]) {
		this.messagesArr[key] = new Array();
	};
	
	this.messagesArr[key].push(message);
};

Messages.prototype.setBreakLine = function(breakLine)
{
	this.breakLine = breakLine;
};

Messages.prototype.getMessage = function(key, effect)
{
	if (!this.messagesArr[key]) {
		return this.messagesArr["NO_MESSAGE_FOUND"] + key;
	};
	
	var msg = "";
	for(var i=0; i < this.messagesArr[key].length; i++) {
		if (msg != '') msg += this.breakLine;
		msg += this.messagesArr[key][i];
	};
	return msg;
};

messages = new Messages();

messages.Add('NO_MESSAGE_FOUND', "NIE_ZNALEZIONO_TEKSTU_DLA_KLUCZA : ");
messages.Add('MESSAGE_NOT_HAVE_PERMISSION_TO_ACCESS_THIS_PAGE', "Nie masz wystarczających praw do tej strony.");
messages.Add('noLMS', "LMS kursu nie został odnaleziony. Proszę się sontaktować z dostawcą szkolenia.");
messages.Add('noPLAYER', "Player kursu nie został odnaleziony. Proszę się sontaktować z dostawcą szkolenia.");
messages.Add('noSTRUCT', "Struktura kursu nie została odnaleziona. Proszę się sontaktować z dostawcą szkolenia.");
messages.Add('noAPI', "API platformy nie zostało odnalezione. Proszę się sontaktować z administatorem platformy.");
messages.Add('detectResult', "W wyniku powyższych błędów uruchomione szkolenie może działać nieprawidłowo.");
messages.Add('runCourse', "Uruchom szkolenie pomimo wystąpienia błędów");
messages.Add('runCourseInfo', "Jeśli pomimo wystąpienia błędów chcesz uruchomić szkolenie kliknij na poniższy przycisk.");
messages.Add('PAGE_POPUP_OK', "Tak");
messages.Add('PAGE_POPUP_CANCEL', "Anuluj");
messages.Add('PAGE_POPUP_CLOSE', "Zamknij");
messages.Add('PAGE_POPUP_WARNING_TEXT', "Jesteś nieaktywny.<br>Zamknij okienko aby powrócić do szkolenia.");
messages.Add('PAGE_POPUP_INFO_TEXT', "Czy chcesz sobie zrobic przerwe?");
